PUPPET-MASTER(8)

NAME
puppet-master - The puppet master daemon

SYNOPSIS
The central puppet server. Functions as a certificate authority by default.

USAGE
puppet master [-D|--daemonize|--no-daemonize] [-d|--debug] [-h|--help] [-l|--logdest syslog|FILE|console] [-v|--verbose] [-V|--version] [--compile NODE-NAME]

DESCRIPTION
This command starts an instance of puppet master, running as a daemon and using Ruby's built-in Webrick webserver. Puppet master can also be managed by other application servers; when this is the case, this executable is not used.

OPTIONS
Note that any Puppet setting that's valid in the configuration file is also a valid long argument. For example, 'server' is a valid setting, so you can specify '--server servername' as an argument. Boolean settings translate into '--setting' and '--no-setting' pairs.

See the configuration file documentation at https://docs.puppetlabs.com/references/stable/configuration.html for the full list of acceptable settings. A commented list of all settings can also be generated by running puppet master with '--genconfig'.

--daemonize
    Send the process into the background. This is the default. (This is a Puppet setting, and can go in puppet.conf. Note the special 'no-' prefix for boolean settings on the command line.)

--no-daemonize
    Do not send the process into the background. (This is a Puppet setting, and can go in puppet.conf. Note the special 'no-' prefix for boolean settings on the command line.)

--debug
    Enable full debugging.

--help
    Print this help message.

--logdest
    Where to send log messages. Choose between 'syslog' (the POSIX syslog service), 'console', or the path to a log file. If debugging or verbosity is enabled, this defaults to 'console'. Otherwise, it defaults to 'syslog'.

    A path ending with '.json' will receive structured output in JSON format. The log file will not have an ending ']' automatically written to it due to the appending nature of logging. It must be appended manually to make the content valid JSON.

--masterport
    The port on which to listen for traffic. (This is a Puppet setting, and can go in puppet.conf.)

--verbose
    Enable verbosity.

--version
    Print the puppet version number and exit.

--compile
    Compile a catalogue and output it in JSON from the puppet master. Uses facts contained in the $vardir/yaml/ directory to compile the catalog.

EXAMPLE
puppet master

DIAGNOSTICS
When running as a standalone daemon, puppet master accepts the following signals:

SIGHUP
    Restart the puppet master server.

SIGINT and SIGTERM
    Shut down the puppet master server.

SIGUSR2
    Close file descriptors for log files and reopen them. Used with logrotate.

AUTHOR
Luke Kanies

COPYRIGHT
Copyright (c) 2012 Puppet Labs, LLC Licensed under the Apache 2.0 License